PipeWire 1.6.5

Loading...
Searching...
No Matches
Control
Implementation API

A control can be used to control a port property. More...

## Files
file | control.h
| pipewire/control.h

## Data Structures
struct | pw_control_events
| Port events, use pw_control_add_listener. More...
struct | pw_control

## Macros
#define | PW_VERSION_CONTROL_EVENTS 0

## Functions
struct pw_impl_port * | pw_control_get_port (struct pw_control *control)
| Get the control parent port or NULL when not set.
void | pw_control_add_listener (struct pw_control *control, struct spa_hook *listener, const struct pw_control_events *events, void *data)
| Add an event listener on the control.

## Detailed Description

A control can be used to control a port property.

## Macro Definition Documentation

## ◆ PW_VERSION_CONTROL_EVENTS

#define PW_VERSION_CONTROL_EVENTS 0

## Function Documentation

## ◆ pw_control_get_port()

struct pw_impl_port * pw_control_get_port | ( | struct pw_control * | control | ) |

Get the control parent port or NULL when not set.

## ◆ pw_control_add_listener()

void pw_control_add_listener | ( | struct pw_control * | control,
|  | struct spa_hook * | listener,
|  | const struct pw_control_events * | events,
|  | void * | data )

Add an event listener on the control.

May be called multiple times. Each listener must be removed, but they may be removed in any order.